Skip to content

Operations

All operations require authentication.

2 operationsv1/hosting/web
Agent setup

List tasksProduction

GET
/1.0/hosting/web/{serviceName}/tasks

Returns the IDs of the tasks of the hosting. Filter them by function or status.

Path parameters

serviceName
required
string

Service name

Query parameters

function
string

Filter tasks by function (like)

status
StatusEnum

Filter tasks by status (like)

Valuescancelleddoingdoneinittodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/hosting/web/{serviceName}/tasks/{id}

Returns the function, status and dates of the task.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200PublicTasksuccessful operation
doneDate
read-only
stringdate-time

Done date

function
read-only
FunctionEnum

Task function

Valuesabuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deploy
id
read-only
integer

Task's id

lastUpdate
read-only
stringdate-time

Last update date

objectId
read-only
string

Task object id

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDeploymentDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdWebsite
startDate
read-only
stringdate-time

Start date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneinittodo

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/tasks/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}